WordPress.org

Support

Support » How-To and Troubleshooting » [Resolved] Can't upgrade to 3.5.1

[Resolved] Can't upgrade to 3.5.1

  • Hi,

    I can’t upgrade to 3.5.1.

    When I attempt to automatically upgrade, I get the following message:

    Fatal error: Cannot redeclare class Plugin_Upgrader in /home/lighttso/public_html/wp-admin/includes/class-wp-upgrader.php on line 632

    I’m using a premium theme. I had to wait until the theme’s creators issued an update before I could update WP. I successfully updated the theme.

    Is this a theme issue or a WP issue?

    I’m using WP 3.4.2: can I only update to 3.5.1 from 3.5? Because I’m not getting any options for anything other than the latest version.

    My site is functioning. I have not lost anything. Everything is viewable, it’s just I can’t update WP.

Viewing 3 replies - 1 through 3 (of 3 total)
  • esmi

    @esmi

    Forum Moderator

    Have you tried:

    – deactivating all plugins.

    – switching to the default theme to rule out any theme-specific problems.

    – backing up your database

    – running the upgrade

    Moderator Mark Ratledge

    @songdogtech

    Forum Moderator

    Deactivate all plugins and try the dashboard auto-upgrader.

    If you still can’t, it sounds like a host problem. Try a manual upgrade: http://codex.wordpress.org/Updating_WordPress#Manual_Update

    Aha!!!

    I deactivated all plugins (only 3).

    I switched themes to TwentyTwelve.

    I then tried upgrading: success!

    Switched themes back, re-activated plugins.

    Everything’s absolutely fine.

    Many thanks.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Resolved] Can't upgrade to 3.5.1’ is closed to new replies.
Skip to toolbar